PowerShell Core 6.1.1


В PowerShell Core 6 были обнаружены проблемы безопасности. В Windows PowerShell тоже, и исправления уже доступны в текущих ежемесячных обновлениях.

Что касается PowerShell Core 6, то его рекомендуется обновить до версии 6.1.1.

Подробности:

https://github.com/PowerShell/PowerShell/issues/8254

https://github.com/PowerShell/PowerShell/issues/8251

О чём это говорит? Хочется думать, что PowerShell Core стал достаточно популярным :-) Хотя по факту одна проблема приехала из Microsoft.PowerShell.Archive, а вторая исторически из Windows PowerShell. Пока инцидентов с новым кодом, созданным в рамках проекта с открытыми кодами, не зафиксировано: предыдущие обновления безопасности происходили из .Net Core.

Реклама

Добавить комментарий

Заполните поля или щелкните по значку, чтобы оставить свой комментарий:

Логотип WordPress.com

Для комментария используется ваша учётная запись WordPress.com. Выход /  Изменить )

Google+ photo

Для комментария используется ваша учётная запись Google+. Выход /  Изменить )

Фотография Twitter

Для комментария используется ваша учётная запись Twitter. Выход /  Изменить )

Фотография Facebook

Для комментария используется ваша учётная запись Facebook. Выход /  Изменить )

Connecting to %s

%d такие блоггеры, как: